function c_JN = c_JN_three_stocks(u,JN,omega)

    m = 3;
    final_sum = 0;
    omega = reshape(omega,[JN, JN, JN]);
    
    for v_1 = 0:JN-1
        for v_2 = 0:JN-1
            for v_3 = 0:JN-1
                inner_prod = ...
                    nchoosek(JN-1,v_1)*((u(1)^v_1)*((1-u(1))^(JN-v_1-1)))*...
                    nchoosek(JN-1,v_2)*((u(2)^v_2)*((1-u(2))^(JN-v_2-1)))*...
                    nchoosek(JN-1,v_3)*((u(3)^v_3)*((1-u(3))^(JN-v_3-1)));  
                final_sum = final_sum + omega(v_1+1,v_2+1,v_3+1)*inner_prod;
            end
        end
    end
    
    c_JN = final_sum*(JN^m);       

end
