function obj = GMM(Coefs, X,Y)
% Calculates QMLE assuming independence

    n=length(X);
    
    mX = exp(Coefs(1));
    mY = exp(Coefs(2));
   
   
    % Compute scores
   
    dlXdmuX=(X-muX)/(muX^2);
    dlYdmuY=(Y-muY)/(muY^2);

    score_vec=[dlXdmuX dlYdmuY];

    W=cov(score_vec);

 % weghted scores
    
    obj=score_vec*W*score_vec';   
   
end 