function logL = Loglikelihood_QMLE(Coefs, X,Y)
% Calculates QMLE assuming independence

    n=length(X);
    
    mX = exp(Coefs(1));
    mY = exp(Coefs(2));
   
   
    % Compute log-likelihood
   
    

 %exponential log likelihood
    
    logL=n*log(1/mX)-sum(X)/mX+n*log(1/mY)-sum(Y)/mY;
    logL=-logL;
    
end 