function B = SinBasis(X,Y,J)

n=length(X);
brange=(1:(J-1))*pi; 

BX=[ones(n,1) sin(brange.*X)]; 
BY=[ones(n,1) sin(brange.*Y)];

B=zeros(n,J*J);

for i = 1:J
    for j = 1:J
        B(:,(i-1)*J+j) = BX(:,i).*BY(:,j);
    end
end
end
