function B = TripolBasis (X,Y,J)


n=length(X);
brange=(1:(J-1))*pi; 

BX=[ones(n,1) cos(brange.*X) sin(brange.*X)]; 
BY=[ones(n,1) cos(brange.*Y) sin(brange.*Y)];

B=zeros(n,(2*(J-1)+1)*(2*(J-1)+1));

for i = 1:2*(J-1)+1
    for j = 1:2*(J-1)+1
        B(:,(i-1)*(2*(J-1)+1)+j) = BX(:,i).*BY(:,j);
    end
end

end
