function B = formCosBasis_var3d (X,Y,Z,J)


BX = ones(length(X),J);
BY = ones(length(X),J);
BZ = ones(length(X),J);

B  = ones(length(X),J*J*J);


for i = 1:J
    BX(:,i) = cos(i*pi*X);
end

for i = 1:J
    BY(:,i) = cos(i*pi*Y);
end

for i = 1:J
    BZ(:,i) = cos(i*pi*Z);
end


for i = 1:J
    for j = 1:J
        for k = 1:J
            B(:,J*(J*(i-1)+j-1)+k) = BX(:,i).*BY(:,j).*BZ(:,k);
        end
    end
end


end
